# PluginRepository

API Documentation: | `PluginRepository`

Known Subtypes: |
`GradlePluginPortal`
`IvyPluginRepository`
`MavenPluginRepository`

Note: This class is incubating and may change in a future version of Gradle.

Represents a repository from which Gradle plugins can be resolved.

This type of repository will only be consulted when resolving plugins applied using the `plugins {}` syntax.

### Properties

No properties

### Methods

No methods

### Script blocks

No script blocks